Subject: sk98lin, jumbo frames, and memory fragmentation

From: "Chris Friesen" <[email-masked]>
Date: Mon, 01 Oct 2007 14:35:48 -0600

Hi all,

We're considering some hardware that uses the sk98lin network hardware, 
and we'll be using jumbo frames.  Looking at the driver, when using a 
9KB MTU it seems like it would end up trying to atomically allocate a 
16KB buffer.

Has anyone heard of this been a problem?  It would seem like trying to 
atomically allocate four physically contiguous pages could become tricky 
after the system has been running for a while.

The reason I ask is that we ran into this with the e1000.  Before they 
added the new jumbo frame code it was trying to atomically allocate 32KB 
buffers and we would start getting allocation failures after a month or 
so of uptime.

Any information anyone can provide would be appreciated.

Thanks,

Chris